Subject: Re: rtc again...

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 7 Aug 2000 15:18:42 +0200

>Can anybody with a Macintosh SMP G4 confirm that the time bases are
>synchronized at boot ?

AFAIK, on those machines, I think Apple uses their "timer" device in the
new version of the mac-io ASIC to sync. timebases.

Reading Apple's CPU startup code in Darwin is _very_ interesting in fact.
That's for example how I learned that the only way to correctly and
completely flush the cache is to either reserve CPU-specific regions of
memory, use the ROM, or have external HW assist. Without that, any
snooping on the bus will garbage the flush process.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/